Name:             mt-st
Version:          1.1
Release:          25
Summary:          Tool to manage tape drives
License:          GPL+
URL:              ftp://ftp.ibiblio.org/pub/linux/system/backup

Source0:          ftp://metalab.unc.edu/pub/Linux/system/backup/mt-st-%{version}.tar.gz
Source1:          stinit.service
Patch0000:        0000-mt-st-1.1-redhat.patch
Patch0001:        0001-mt-st-1.1-SDLT.patch
Patch0002:        0002-mt-st-0.7-config-files.patch
Patch0003:        0003-mt-st-0.9b-manfix.patch
Patch0004:        0004-mt-st-1.1-include.patch
Patch0005:        0005-mt-st-1.1-options.patch
Patch0006:        0006-mt-st-1.1-man.patch

BuildRequires:    gcc systemd
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

%description
The mt-st package contains two programs: mt and stinit. Mt is basically a "standard" mt with 
additional commands to send the ioctls specific to the Linux SCSI tape driver. Stinit is a program 
to initialize the tape drive characteristics. 

%package_help

%prep
%autosetup -p1

iconv -f ISO8859-1 -t UTF-8 -o README.stinit.new README.stinit
touch -r README.stinit README.stinit.new
mv README.stinit.new README.stinit


%build
make CFLAGS="%{build_cflags} %{build_ldflags}"


%install
%make_install
install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/stinit.service


%post
%systemd_post stinit.service

%preun
%systemd_preun stinit.service

%postun
%systemd_postun_with_restart stinit.service


%files
%defattr(-,root,root)
%license COPYING
%{_bindir}/mt
%{_sbindir}/stinit
%{_unitdir}/stinit.service


%files help
%defattr(-,root,root)
%doc README README.stinit mt-st-1.1.lsm stinit.def.examples
%{_mandir}/man[18]/*

%changelog
* Wed Dec 4 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1-25
- Package init
